GCORE(1)

NAME
gcore - get core images of running process

SYNOPSIS
gcore [-f] [-s] [-c core] [executable] pid

DESCRIPTION
The gcore utility creates a core image of the specified process, suitable for use with gdb(1). By default, the core is written to the file “core.<pid>”. The process identifier, pid, must be given on the command line.

The following options are available:

-c  Write the core file to the specified file instead of “core.<pid>”.

-f  Dumps all available segments, excluding only malformed and undumpable segments. Unlike the default invocation, this flag dumps mappings of devices which may invalidate the state of device transactions or trigger other unexpected behavior. As a result, this flag should only be used when the behavior of the application and any devices it has mapped is fully understood and any side effects can be controlled or tolerated.

-s  Stop the process while gathering the core image, and resume it when done. This guarantees that the resulting core dump will be in a consistent state. The process is resumed even if it was already stopped. The same effect can be achieved manually with kill(1).

FILES
core.<pid>
    the core image

HISTORY
A gcore utility appeared in 4.2BSD.

BUGS
Because of the ptrace(2) usage gcore may not work with processes which are actively being investigated with truss(1) or gdb(1). Additionally, interruptable sleeps may exit with EINTR.

The gcore utility is not compatible with the original 4.2BSD version.